OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | List of all members
PromoteContainerType< T, ContainerT > Struct Template Reference

`#include <openvdb/Types.h>`

## Public Types
template<size_t Shift = ~0UL>
using | Promote = ContainerT< typename PromoteType< T >::template Promote< Shift > >
template<size_t Shift = ~0UL>
using | Demote = ContainerT< typename PromoteType< T >::template Demote< Shift > >
using | Highest = ContainerT< typename PromoteType< T >::Highest >
using | Lowest = ContainerT< typename PromoteType< T >::Lowest >
using | Next = ContainerT< typename PromoteType< T >::Next >
using | Previous = ContainerT< typename PromoteType< T >::Previous >

## Member Typedef Documentation

## ◆ Demote

template<typename T , template< typename > class ContainerT>
template<size_t Shift = ~0UL>

using Demote = ContainerT<typename PromoteType<T>::template Demote<Shift> >

## ◆ Highest

template<typename T , template< typename > class ContainerT>

using Highest = ContainerT<typename PromoteType<T>::Highest>

## ◆ Lowest

template<typename T , template< typename > class ContainerT>

using Lowest = ContainerT<typename PromoteType<T>::Lowest>

## ◆ Next

template<typename T , template< typename > class ContainerT>

using Next = ContainerT<typename PromoteType<T>::Next>

## ◆ Previous

template<typename T , template< typename > class ContainerT>

using Previous = ContainerT<typename PromoteType<T>::Previous>

## ◆ Promote

template<typename T , template< typename > class ContainerT>
template<size_t Shift = ~0UL>

using Promote = ContainerT<typename PromoteType<T>::template Promote<Shift> >